[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPen.DoDeAllocateResources

Performs actions to free resources allocated for the class instance.

## Declaration

Source position: graphics.pp line 659

`protected procedure TPen.DoDeAllocateResources; override;`

## Description

Overridden. Calls FreeReference. Calls the inherited method prior to exiting from the method.